/**********************************************************************
 * Software Copyright Licensing Disclaimer
 *
 * This software module was originally developed by contributors to the
 * course of the development of ISO/IEC 14496-10 for reference purposes
 * and its performance may not have been optimized.  This software
 * module is an implementation of one or more tools as specified by
 * ISO/IEC 14496-10.  ISO/IEC gives users free license to this software
 * module or modifications thereof. Those intending to use this software
 * module in products are advised that its use may infringe existing
 * patents.  ISO/IEC have no liability for use of this software module
 * or modifications thereof.  The original contributors retain full
 * rights to modify and use the code for their own purposes, and to
 * assign or donate the code to third-parties.
 *
 * This copyright notice must be included in all copies or derivative
 * works.  Copyright (c) ISO/IEC 2004, 2005, 2006, 2007, 2008.
 **********************************************************************/

/*!
***************************************************************************
*
* \file symbol.c
*
* \brief
*    Generic Symbol writing interface
*
* \date
*    18 Jan 2006
*
* \author
*    Karsten Suehring   suehring@hhi.de
**************************************************************************/

#include "global.h"
#include "symbol.h"

void (*writeMB_typeInfo)      (SyntaxElement *se, DataPartition *dP);
void (*writeIntraPredMode)    (SyntaxElement *se, DataPartition *dP);
void (*writeB8_typeInfo)      (SyntaxElement *se, DataPartition *dP);
void (*writeRefFrame[6])      (SyntaxElement *se, DataPartition *dP);
void (*writeMVD)              (SyntaxElement *se, DataPartition *dP);
void (*writeCBP)              (Macroblock* currMB, SyntaxElement *se, DataPartition *dP);
void (*writeDquant)           (SyntaxElement *se, DataPartition *dP);
void (*writeCIPredMode)       (SyntaxElement *se, DataPartition *dP);
void (*writeFieldModeInfo)    (SyntaxElement *se, DataPartition *dP);
void (*writeMB_transform_size)(SyntaxElement *se, DataPartition *dP);
